API reference
Changes
GET
bearerheader
AuthorizationBearer <token>threadId*stringscope?stringValue in
"turn""all""uncommitted"turn?stringMatch
^\d+$OK
application/json- response
scope*turn?numberfrom*stringto*stringfiles*array<>added*numberremoved*numberbranch*stringbaseBranch*stringturns*array<>empty?string[key: string]?anycurl -X GET 'https://engine.keko.run/v1/threads/string/changes'Example Response
{ "scope": { "kind": "turn", "turn": 0 }, "turn": 0, "from": "string", "to": "string", "files": [ { "path": "string", "oldPath": "string", "status": "added", "added": 0, "removed": 0, "binary": true, "hash": "string" } ], "added": 0, "removed": 0, "branch": "string", "baseBranch": "string", "turns": [ { "turn": 0, "checkpoint": 0, "at": 0 } ], "empty": "string"}GET
bearerheader
AuthorizationBearer <token>threadId*stringfrom*stringto*stringpath*stringoldPath?stringforce?stringValue in
"0""1""true""false"OK
application/json- response
path*stringbinary*booleanlines*numbertooLarge?booleantext*string[key: string]?anycurl -X GET 'https://engine.keko.run/v1/threads/string/diff?from=string&to=string&path=string'Example Response
{ "path": "string", "binary": true, "lines": 0, "tooLarge": true, "text": "string"}POST
bearerheader
AuthorizationBearer <token>threadId*stringapplication/json- body
checkpoint*integerRange
0 <= value <= 9007199254740991OK
application/json- response
backup*numbercurl -X POST 'https://engine.keko.run/v1/threads/string/restore' \ -H 'Content-Type: application/json' \ -d '{ "checkpoint": 0}'Example Response
{ "backup": 0}